#ifndef CFLOATSPINBOX_H
#define CFLOATSPINBOX_H

#include <qwidget.h>
#include <qspinbox.h>

class CFloatSpinBox : public QSpinBox
{
Q_OBJECT

public:
	/** construtor */
	CFloatSpinBox( QWidget * parent = 0, const char * name = 0 );
	/** construtor */
	CFloatSpinBox( int minValue, int maxValue, int step = 1, QWidget * parent = 0, const char * name = 0 );
	/** destructor */
	virtual ~CFloatSpinBox();

	/** */
	QString mapValueToText( int value );
	/** */
	int mapTextToValue( bool * /*ok*/ );
};

#endif
